
Figure - Bug #118419
Bug # 118333 (CLOSED): 【IOVDEV-31145】【自动化测试】【稳定性测试】【VC1】稳定性测试，副屏黑屏（自动化台架2）

Bug # 118378 (CLOSED): 5/27 黑屏问题分析

【IOVDEV-31958】【内部】【VC1】【0100】【台架】【EE环境】【副屏】跑完monkey早上来到之后副屏黑
屏
2023-06-01 11:13 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: Urgent Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 90%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.C102����【副屏版本号】：01.00.0100.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 屏端no video

Description

环境信息】EE环境

【问题出现时间】：20230531 21：00-20230601 09：00

【前提条件】：副屏上电，中控已连接

功放已连接 声音输出正常，开发者模式已关闭，无任何第三方应用

【操作步骤】

1.上传【adb push blackList.txt /sdcard】文件

2.adb shell "monkey --pkg-blacklist-file /sdcard/blackList.txt --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30

--pct-pinchzoom 5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--pct-syskeys 0 -v -v -v 12000000 >/sdcard/monkey.log 2>&1 &" 

adb shell "sh /sdcard/monitor_monkey.sh >/dev/null 2>&1 &" 

【实际结果】

1.早上来到之后副屏黑屏，中控无法唤起

【期望结果】

1.monkey正常运行，副屏功能正常，无黑屏、冻屏、花屏现象

【备注】：由于开发者关闭adb无法来连接副屏，无法虚拟投屏

【当前开机次数】：143

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-06-01 11:14 - CDTS_Test 吴诗雨

云端日志已上传：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118419

#2 - 2023-06-01 14:57 - CDTS_Test 吴诗雨
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118419


- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

#3 - 2023-06-01 17:22 - CD SYSTEM-夏旭

1.从提供的的日志看，最后monkey的时间在

  000143_persist_00999_230601_012248.log:1678:06-01 01:22:58.387  6239  6239 I Monkey

2. 未发现system_server 重启的现象

3.DTC报错

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1293:06-01 00:10:32.629     0     0 E [49229.941664] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1302:06-01 00:10:36.441     0     0 E [49233.753800] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1311:06-01 00:10:38.873     0     0 E [49236.184671] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1312:06-01 00:10:38.873     0     0 E [49236.184702] DTC_Display: screen not

ready(0), bl_sta(0), lvl(86)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1319:06-01 00:10:40.925     0     0 E [49238.236253] DTC_Display: Unknow lcm

temperature status: 0x70

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1320:06-01 00:10:40.926     0     0 E [49238.236271] DTC_Display: screen not

ready(0), bl_sta(111), lvl(0)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1327:06-01 00:10:42.389     0     0 E [49239.700737] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1340:06-01 00:10:44.629     0     0 E [49241.940874] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1349:06-01 00:10:46.741     0     0 E [49244.052776] DTC_Display: screen not

ready(0), bl_sta(112), lvl(0)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1358:06-01 00:10:50.249     0     0 E [49247.562842] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1369:06-01 00:10:52.889     0     0 E [49250.201231] DTC_Display: screen not

ready(0), bl_sta(112), lvl(0)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1376:06-01 00:10:54.793     0     0 E [49252.105015] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1385:06-01 00:10:58.641     0     0 E [49255.954820] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1392:06-01 00:11:01.057     0     0 E [49258.370792] DTC_Display: Abnormal

voltage: 0mV

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1393:06-01 00:11:01.057     0     0 E [49258.370814] DTC_Display: screen not

ready(0), bl_sta(112), lvl(0)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1398:06-01 00:11:02.233     0     0 E [49259.547604] DTC_Display: screen not

ready(0), bl_sta(0), lvl(85)

./log/FSEM_000143_0383_0601003026/kernel/000143_kernel_00020_230601_000419.log:1434:06-01 00:11:06.265     0     0 E [49263.576897] DTC_Display: Abnormal

voltage: 0mV

#4 - 2023-06-01 17:22 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD BSP-杜磊

#5 - 2023-06-01 17:33 - CD BSP-余霄

- Assignee changed from CD BSP-杜磊 to CD BSP-余霄
目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第1类。

目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#6 - 2023-06-02 18:30 - CD BSP-余霄

- Status changed from New to ASSIGNED

刘强已到达客户现场

针对no video signal黑屏问题已有两方案，会提供VB给到那边测试

方案1

START_PORT_A与START_PORT_B进行RESET操作，并重新初始化加解串驱动

方案2：

检测到no video信号，进行灭屏、亮屏恢复

#7 - 2023-06-05 21:18 - CDTS-TEST 周婷

- Assignee changed from CD BSP-余霄 to CD BSP-杜磊

#8 - 2023-06-06 15:33 - CD BSP-杜磊

- Parent task set to #118378

#9 - 2023-06-12 10:58 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 90

- Root cause set to 屏端no video

代码已入库，请使用6/13 V110版本进行复测

#10 - 2023-07-02 14:45 - 移动测试一组_CDTS 刘强

V116未复现，等客户确认后关闭

#11 - 2023-07-11 16:17 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户反馈：

      跟踪多个版本，副屏正常运行，monkey命令正常运行，验证通过
#12 - 2023-07-11 16:17 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-31958.zip 991 KB 2023-06-01 CDTS_Test 吴诗雨

20230601-111216.jpg 74.3 KB 2023-06-01 CDTS_Test 吴诗雨
